
Redmine - Feature #1149

file size display with Bazaar repositories

2008-04-30 16:12 - Andreas Deininger

Status: Closed Start date: 2008-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Currently, the file size is shown as "?" when browsing a Bazaar repository. The attached patch (partly) fixes that issue.

Please note that this patch is far from ideal since:

a) it does not work if the bazaar branch does not have a working tree

b) it only works for the latest revision

c) wrong file sizes may be displayed if the working tree is not up to date with the bazaar branch

A better solution would be to use something like:

$ bzr cat -r 10 /file/in/repo | wc -c

However that does not work on windows platforms.

As workaround, maybe one could execute 'bzr cat -r 10 /file/in/repo' as via IO.popen and determine the byte count in Ruby then.

Associated revisions

Revision 1537 - 2008-06-14 17:44 - Jean-Philippe Lang

File size display with Bazaar repositories (#1149).

History

#1 - 2008-04-30 21:31 - Jean-Philippe Lang

No patch attached...

#2 - 2008-05-02 08:35 - Andreas Deininger

- File bzr_size.patch added

Oops, here it comes.

Please note that the shortcoming of bazaar concerning file size display has been addressed meanwhile:

https://bugs.launchpad.net/bzr/+bug/224965

#3 - 2008-06-14 17:40 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Committed in r1537.

I think bzr cat -r 10 /file/in/repo | wc -c would be really slow with big/lots of files.

#4 - 2009-05-13 17:45 - Joe Kelk

- Status changed from Closed to Reopened

I'm on 0.8.2 stable and bazaar repositories are showing a question mark for filesizes here, even though it was supposedly fixed in 0.8.0 RC1. I'm

going to see if it's fixed in 0.8.3 now but I figured this should be reopened.

#5 - 2009-05-13 17:58 - Joe Kelk
https://bugs.launchpad.net/bzr/+bug/224965
https://www.redmine.org/projects/redmine/repository/svn/revisions/1537


Joe Kelk wrote:

I'm on 0.8.2 stable and bazaar repositories are showing a question mark for filesizes here, even though it was supposedly fixed in 0.8.0 RC1. I'm

going to see if it's fixed in 0.8.3 now but I figured this should be reopened.

 EDIT: It's still broken on 0.8.3.

#6 - 2009-05-14 18:18 - Jean-Philippe Lang

- Status changed from Reopened to Closed

It only works for the latest revision of files in your working tree.

If this doesn't work, please read SubmittingBugs and fill a defect report.

Files

bzr_size.patch 778 Bytes 2008-05-02 Andreas Deininger
